For questions related with the GStreamer multimedia framework. GStreamer allows a programmer to create a variety of media-handling components, including simple audio playback, audio and video playback, recording, streaming and editing.

learn more… | top users | synonyms

0
votes
0answers
5 views

Spectrum3d, Error with gstreamer

this is my first question and after playing around with terminal for the first time and terminal/linux in general, I am trying to use a cool sound spectrogram software called spectrum3D, I have ...
1
vote
1answer
155 views

Firefox Gstreamer vaapi

I have a laptop with not much CPU power, so I want that Firefox and Gstreamer (and maybe Rhythmbox) uses the VAAPI on my Ubuntu 15.10. vainfo gives me already the following output, so the vaapi driver ...
0
votes
1answer
42 views

how install libgstreamer0.10-plugins-bad on ubuntu 16.04

I can't find two gstreamer package on repository: libgstreamer0.10-plugins-bad libgstreamer0.10-plugins-ugly How can install it on Ubuntu 16.04 64bit? Is it safe to install 15.10 deb version?
10
votes
3answers
18k views

Ubuntu 14.04, problem when install gstreamer1.0-libav, unmet dependencies

Suddenly my Ubuntu stopped playing video. When I open a video, the player suggests that I install gstreamer1.0-libav. However, it fails to install. I tried installing it manually, here is the error ...
0
votes
0answers
48 views

I cannot install gstreamer plugins on 16.04

I've been trying to install the gstreamer plugins for Ubuntu 16.04 so that I can hear my music in Rhythmbox, but everytime I try, It will not install. The Terminal states that there is no installation ...
0
votes
0answers
31 views

ffmpegthumbnailer Ubuntu 16LTS

Any way to install gstreamer0.10-ffmpeg in Ubuntu 16. ppa:mc3man/gstffmpeg-keep don't have package for xenial. Hence how to use "ffmpegthumbnailer" in Ubuntu 16.(or any other fast alternative that can ...
0
votes
3answers
64 views

Error while autoinstalling gstreamer1.0-plugins-bad

I am trying to install two packages on my Totem Media Player in order to play .asx files: gstreamer1.0-plugins-bad and gstreamer1.0-plugins-bad (i386). The application has its own installer, but when ...
2
votes
1answer
247 views

Play FLV videos in Ubuntu 16.04: what's the (gstreamer?) package(s) I need to install to make Totem do it without error?

I thought I had installed all "proprietary" codecs now via double-clicking some of my videos, and Totem asking me to install packages. However there's a kind of videos which don't prompt me to install ...
2
votes
0answers
29 views

Gstreamer on Ubuntu Touch

I want to create an app to remote controle an RC car I have built, the last thing I have to add is to display a livestream of the car's camera in the background of my onscreen controls. At the moment ...
0
votes
1answer
157 views

Ubuntu isn't playing dvd

Same DVD is playing in windows, but ubunut(16.04) isn't displaying any media. /media/ directory is empty. It contains video only. i had tried these commands but it didn't work. sudo apt-get install ...
0
votes
0answers
92 views

gst-launch: Pipeline doesn't want to pause

I am trying to stream tv-tuner card video to qgroundcontrol using the following command: gst-launch v4l2src device=/dev/video1 ! 'video/x-raw-yuv,width=640,height=480' ! x264enc tune=zerolatency ! ...
2
votes
1answer
130 views

Clementine does not play after update to Xenial

After the update, Clementine does not want to play music any more. A dialog with this error pops up (the bold font is added): GStreamer could not create the element: gsettingsaudiosink. Please ...
0
votes
1answer
506 views

How do I check gstreamer version?

I want to know what version of gstreamer I have installed. If it turns out that I have multiple versions I want to know which is being used. Edit: It turns out that things are a bit messy. There ...
0
votes
1answer
1k views

Gstream video stream error

I'm trying to stream webcam video from one computer to another with low or zero latency. I used the following command. Sender: gst-launch-1.0 v4l2src ! video/x-raw,width=640,height=480 ! x264enc ! ...
15
votes
2answers
96k views

How can I install gstreamer 1.0 in Ubuntu 12.04?

I'm trying to install GStreamer 1.0 on Ubuntu 12.04, the default GStreamer that comes with Ubuntu 12.04 is gst 0.10. I could see that I could download the GStreamer 1.0 source from gstreamer....
0
votes
0answers
41 views

How can I keep gstreamer up to date?

So there's GStreamer-0.10 and there's GStreamer-1.0 and they turn out to be different. And there are many packages (like -plugins-bad, -plugins-good and so...). It's very confusing. And Ubuntu 14.04 ...
9
votes
1answer
9k views

How to play .m4a in Clementine?

Clementine says missing gstreamer plugin when I try to play a .m4a file. Totem and Rhythm Box play it fine. $ wajig listinstalled gstreamer0.10 gstreamer0.10-alsa:amd64 gstreamer0.10-nice:amd64 ...
0
votes
0answers
81 views

Problem in gst mad in Ubuntu 16.04

Developed a software in python which uses Gstreamer for the working. We installed it and work on ubuntu 15.10. For that installed some components like libmad0-dev, libmadlib-dev and gstreamer0.1*. ...
1
vote
0answers
147 views

MP3 encoding problems caused by gstreamer1.0 lamemp3enc not working (for me) in Ubuntu Xenial 16.04

After a fresh install of 16.04, I am no longer able to convert sound files to MP3. It works neither in Rhythmbox, Sound-Juicer or Soundbridge nor can I use gat-launch-1.0 to create a pipeline manually ...
0
votes
0answers
28 views

firefox audio doesn't work after using skype

After using skype (as videophone) audio from youtube films (and from all films viewed by firefox) doesn't work. Video is ok, sound is turned off. Films viewed by totem has the same problem. On the ...
1
vote
0answers
86 views

Clementine doesn't play APE files

Clementine (1.2.3) on Ubuntu (16.04) Gnome (3.18) - doesn't play .ape files. Before the update (from Ubuntu Gnome 15.10) it also wasn't working, but it was telling that there is a problem with ...
1
vote
1answer
2k views

error while trying to play .mp4 file

after agree to download and install extra multimedia plugins, it says package dependency can not be resolved, with below error: The following packages have unmet dependencies: gstreamer0.10-...
4
votes
2answers
13k views

How do I install gstreamer0.10-ffmpeg on Ubuntu 14.10?

Is it possible to install gstreamer0.10-ffmpeg needed for Clementine on Ubuntu 14.10? (see Clementine won't play .wma, with "Your GStreamer installation is missing a plugin" error)
0
votes
1answer
164 views

Gstreamer 0.10 on imx6 Board can't play video with audio

I'm working with an imx6 board. I have to stream a video file, let's say a MP4 file called "video.mp4", from file to screen. First i had some problems trying to run only the video, eventually i ...
0
votes
0answers
155 views

Banshee: codec for playing this media type not available

For some reason Banshee does not play all of my mp3. I installed pretty much every suggested codec, but still nothing. Every time I try to play mp3 I get this: If I press install usually it says "...
0
votes
2answers
171 views

While Installing gstreamer-sdk-dev… i got this… please help…?

While installing gstreamer-sdk-dev i got this...!!! E: Failed to fetch http://www.freedesktop.org/software/gstreamer-sdk/data/packages/ubuntu/raring/amd64/./gstreamer-sdk-gstreamer-clutter-dev_2013.6-...
1
vote
0answers
614 views

GStreamer error: Gstreamer encountered a general stream error

Today I was trying to watch a video and my GStreamer gave an error massage : GStreamer error: Gstreamer encountered a general stream error. How Can I fix this? Thanks
7
votes
3answers
29k views
1
vote
1answer
1k views

Is it possible to install gstreamer GStreamer Core and Plugins 1.6.3 stable release on ubuntu 14.04?

For my recording project I need to use a tool which needs a new version of gstreamer. I've seen that 1.6.3 is the last stable version of it but don't know if it's possible to install it on my system (...
5
votes
2answers
21k views

Installing can I install gstreamer 1.4 on ubuntu 14.04?

Hello everyone I need to know is it possible to install gstreamer 1.4 framework on Ubuntu 14.04 I searched google but really didn't found anything about it.
2
votes
4answers
4k views

Audio applications not playing on 14.04

I recently installed Ubuntu 14.04 from scratch, overwriting 13.10. Ever since then, I haven't been able to play audio in most desktop media applications: Spotify, Rhythmbox, Pithos, Banshee...all of ...
1
vote
0answers
46 views

No audio in gmusicbrowser, guayadeque, banshee etc but VLC OK

first post here, new to Linux/Ubuntu (14.04). I had Gmusicbrowser, Guayadeque all working then I decided to install Banshee through software center to have a look. Something went wrong during the ...
3
votes
4answers
5k views

Why doesn't .mkv files play properly with ubuntu-restricted-extra?

I am running Ubuntu 10.04 with ubuntu-resticted-extra installed. When I play .mkv with the default player, totem it causes the player to stop suddenly without any warning after a random amount of time!...
2
votes
1answer
399 views

How to install support for GStreamer element ffdeinterlace?

On Ubuntu 14.04 I am trying to use Arista Transducer to burn subtitle to an mp3 file. But I keep getting this error: Python (v2.7) requires to install plugins to support the following multimedia ...
0
votes
0answers
149 views

Gstreamer 1.7 and Ubuntu 14.04

My question is simple, for 3 days straight I am trying to make gstreamer 1.7 on Ubuntu 14.04 however I am unable to. I download source from the Gstreamer site and build it with prefix=/usr and I can ...
1
vote
1answer
81 views

Can not play DVD in ubuntu 14.04 [duplicate]

While inserting a DVD (which plays well in a DVD player) into my laptop, a message appears, requesting me to install gstreamer1.0-plugins-bad. What is this? How can I solve this problem and watch my ...
0
votes
0answers
181 views

Rotate a Video in gstreamer pipeline

I have this pipeline to record from two webcams simultaneously: gst-launch-1.0 -v v4l2src device=/dev/video0 num-buffers=300\ ! "video/x-raw,width=800,height=600,framerate=30/1" ! videorate\ ! "video/...
0
votes
0answers
357 views

undefined symbol: _gst_fraction_type when run gstreamer-1.0

I have build and installed gstreamer-1.0 followed by all its plugins from the source. All works fine. Then while coding I have used GST_TYPE_FRACTION and it complains about an undefined symbol. So I ...
0
votes
0answers
73 views

Exaile does not play

I'm new to Exaile and wasn't able to play anything yet. I added podcasts and every time I try to play them, I get the famous message: "no suitable plugins found". After reading similar questions, I ...
16
votes
5answers
62k views

How do I get HTML5 h.264 Video working on Firefox?

According the the release notes for Firefox 26, h.264 video should now be working in Linux. It does also say the appropriate gstreamer plug-ins need to be installed. Does anyone know what these are? ...
0
votes
1answer
2k views

Gstreamer gst-launch-1.0: symbol lookup error: gst-launch-1.0: undefined symbol: _gst_date_time_type

Hi everyone I installed gstreamer on ubuntu and whenever I try to execute some commands in terminal I get : gst-launch-1.0: symbol lookup error: gst-launch-1.0: undefined symbol: _gst_date_time_type ...
1
vote
0answers
15 views

Installing Plugins on 12.04 [duplicate]

Need help in installing 2 plugins GStreamer ffmpeg video plugin Codecs to play mpeg, divx, mpeg4, ac3, wmv and asf files GStreamer plugins for mms, wavpack, quicktime,musepack Codecs to play Need ...
30
votes
3answers
42k views

Clementine won't play .wma, with “Your GStreamer installation is missing a plugin” error

Here's a screenshot: It displays messages like: "Clementine stopped." or displays songs that are not playing, and indicator icon is disappearing and reappearing. Does this happens only to me, or is ...
0
votes
0answers
413 views

Clementine GStreamer plugin for APE audio

Clementine won't play Monkey's Audio .ape files. It keeps saying that a GStreamer plugin is missing, but it doesn't say what plugin. I tried running it from terminal but I get no useful output. ...
0
votes
0answers
165 views

No decoder available for type 'video/x-msmpeg, msmpegversion=(int)42,

I am using QtMultimedia class in QML: http://doc.qt.io/qt-5/qml-qtmultimedia-video.html When I run the first example program shown in the above link, I get the following error: Warning: "No decoder ...
0
votes
0answers
116 views

Playing the recorded video with gstreamer in kdenlive and VLC failed

I have a gstreamer pipeline to record Video+Audio from a Webcam as below: gst-launch-1.0 v4l2src device=/dev/video1 ! 'image/jpeg, width=1920, height=1080, framerate=30/1' \ ! jpegparse ! jpegdec ! ...
1
vote
0answers
186 views

Capturing an “HD” video from Webcam using gstreamer pipeline is failed

I have a simple pipeline which is supposed to capture a video stream (+audio) from a webcam in JPEG and put it into a .mts container, but at the end when I try to play the file (using ffplay) or ...
2
votes
1answer
1k views

Get gmusicbrowser to play .m4a music files?

What plugins do I need to install to get gmusicbrowser to play .m4a files? I already installed gstreamer ugly, bad, good (what's up with those names??). Do I need anything else? gmusicbrowser keeps ...
0
votes
1answer
938 views

CRITICAL **: gst_app_src_set_size: assertion 'GST_IS_APP_SRC (appsrc)' failed

As reported here before, in some cases, at least, firefox won't play bandcamp tracks. I have tried to do it when running firefox from the command line, both with my default profile, and with a newly ...
0
votes
0answers
184 views

GStreamer backend error

I just started jusing Xubuntu a week ago. I haven't been playing any music-CDs, yet. When I attempt to use the GStreamer player with a music-CD, it displays an error: "GStreamer backend error. Could ...